DROP TABLE IF EXISTS {pref}_shop;
CREATE TABLE {pref}_shop (
  shopid int(11) unsigned NOT NULL auto_increment,
  artikul varchar(50) NOT NULL,
  catid int(11) unsigned NOT NULL default '0',
  public int(11) unsigned NOT NULL default '0',
  stpublic int(11) unsigned NOT NULL default '0',
  unpublic int(11) unsigned NOT NULL default '0',
  cpu varchar(255) NOT NULL default '',
  title varchar(255) NOT NULL default '',
  textshort text NOT NULL,
  textmore longtext NOT NULL,
  textnotice text NOT NULL,
  keywords text NOT NULL,
  descript text NOT NULL,
  image varchar(255) NOT NULL default '',
  image_thumb varchar(255) NOT NULL default '',
  image_align enum('left','right') NOT NULL default 'left',
  image_alt varchar(255) NOT NULL default '',
  video varchar(255) NOT NULL default '',
  hits int(11) unsigned NOT NULL default '0',
  act enum('yes','no') NOT NULL default 'yes',
  acc enum('all','user') NOT NULL default 'all',
  listid int(11) unsigned NOT NULL default '0',
  comments int(11) unsigned NOT NULL default '0',
  ost varchar(25) default NULL,
  rozn float(9,2) unsigned default '0.00',
  spec enum('yes','no') default 'no',
  glav enum('yes','no') default 'yes',
  idval int(11) NOT NULL default '1',
  edinica varchar(255) NOT NULL default '',
  mfactid  int(11) NOT NULL default '0',
  PRIMARY KEY  (shopid),
  KEY catid (catid),
  KEY cpu (cpu),
  KEY public (public),
  KEY stpublic (stpublic),
  KEY unpublic (unpublic),
  KEY act (act)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_basket;
CREATE TABLE {pref}_shop_basket (
  orderid int(11) unsigned NOT NULL auto_increment,
  shopid int(11) unsigned NOT NULL default '0',
  userid int(11) unsigned NOT NULL default '0',
  kolvo int(11) unsigned NOT NULL default '0',
  cena varchar(50) NOT NULL default '',
  summa varchar(255) NOT NULL default '',
  ordpublic int(11) unsigned NOT NULL default '0',
  idstatus int(11) unsigned default NULL,
  iddost int(11) unsigned default NULL,
  userip varchar(20) default NULL,
  PRIMARY KEY  (orderid),
  KEY shopid (shopid),
  KEY userid (userid)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_cat;
CREATE TABLE {pref}_shop_cat (
  catid int(11) unsigned NOT NULL auto_increment,
  parentid int(11) unsigned NOT NULL default '0',
  artikul int(11) unsigned NOT NULL default '0',
  catcpu varchar(255) NOT NULL default '',
  catname varchar(255) NOT NULL default '',
  catdesc text NOT NULL,
  posit int(11) unsigned NOT NULL default '0',
  icon varchar(255) NOT NULL default '',
  access enum('all','user') NOT NULL default 'all',
  sort varchar(11) NOT NULL default 'newsid',
  ord enum('asc','desc') NOT NULL default 'asc',
  rss enum('yes','no') NOT NULL default 'yes',
  total int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (catid),
  KEY parentid (parentid),
  KEY catcpu (catcpu),
  KEY access (access),
  KEY rss (rss)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_comment;
CREATE TABLE {pref}_shop_comment (
  comid int(11) unsigned NOT NULL auto_increment,
  shopid int(11) unsigned NOT NULL default '0',
  userid int(11) unsigned NOT NULL default '0',
  ctime int(11) unsigned NOT NULL default '0',
  cname varchar(50) NOT NULL default '',
  ctitle varchar(255) NOT NULL default '',
  ctext text NOT NULL,
  cip varchar(20) NOT NULL default '',
  PRIMARY KEY  (comid),
  KEY shopid (shopid),
  KEY ctime (ctime),
  KEY cip (cip)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


DROP TABLE IF EXISTS {pref}_shop_dopfield;
CREATE TABLE {pref}_shop_dopfield (
  fieldid int(11) unsigned NOT NULL auto_increment,
  fieldtip varchar(255) NOT NULL default '',
  fieldname varchar(255) NOT NULL default '',
  fieldvalue varchar(255) NOT NULL default 'shopit',
  fieldsise varchar(20) default NULL,
  catid int(11) default NULL,
  PRIMARY KEY  (fieldid)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_dost;
CREATE TABLE {pref}_shop_dost (
  iddost int(11) unsigned NOT NULL auto_increment,
  namedost varchar(50) NOT NULL default '',
  PRIMARY KEY  (iddost)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_field;
CREATE TABLE {pref}_shop_field (
  idzap int(11) NOT NULL auto_increment,
  shopid int(11) unsigned default NULL,
  fieldid int(11) unsigned default NULL,
  fieldvalue text NOT NULL,
  PRIMARY KEY  (idzap),
  KEY shopid (shopid)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_oplata;
CREATE TABLE {pref}_shop_oplata (
  idopl int(11) unsigned NOT NULL auto_increment,
  nameopl varchar(50) NOT NULL default '',
  PRIMARY KEY  (idopl)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_order;
CREATE TABLE {pref}_shop_order (
  idord int(11) NOT NULL auto_increment,
  orderid int(11) NOT NULL default '0',
  shopid int(11) unsigned NOT NULL default '0',
  userid int(11) unsigned NOT NULL default '0',
  kolvo int(11) unsigned NOT NULL default '0',
  cena varchar(50) NOT NULL default '',
  summa varchar(255) NOT NULL default '',
  ordpublic int(11) unsigned NOT NULL default '0',
  idoplata int(11) default NULL,
  idstatus int(11) unsigned default NULL,
  iddost int(11) unsigned default NULL,
  adres varchar(255) default NULL,
  mailuser varchar(50) default NULL,
  telefon varchar(50) default NULL,
  userip varchar(20) default NULL,
  PRIMARY KEY  (idord),
  KEY shopid (shopid),
  KEY userid (userid)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_order_main;
CREATE TABLE {pref}_shop_order_main (
  orderid int(11) unsigned NOT NULL auto_increment,
  summa varchar(255) NOT NULL default '',
  ordpublic int(11) unsigned NOT NULL default '0',
  userid int(11) NOT NULL default '0',
  idoplata int(11) default NULL,
  idstatus int(11) unsigned default NULL,
  iddost int(11) unsigned default NULL,
  adres varchar(255) default NULL,
  mailuser varchar(50) default NULL,
  telefon varchar(50) default NULL,
  fio varchar(255) default NULL,
  kpp varchar(50) default NULL,
  firma varchar(255) default NULL,
  inn varchar(255) default NULL,
  PRIMARY KEY  (orderid)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_order_temp;
CREATE TABLE {pref}_shop_order_temp (
  idord int(11) NOT NULL auto_increment,
  orderid int(11) NOT NULL default '0',
  shopid int(11) unsigned NOT NULL default '0',
  userid varchar(25) NOT NULL default '',
  kolvo int(11) unsigned NOT NULL default '0',
  cena varchar(50) NOT NULL default '',
  summa varchar(255) NOT NULL default '',
  ordpublic int(11) unsigned NOT NULL default '0',
  idoplata int(11) default NULL,
  idstatus int(11) unsigned default NULL,
  iddost int(11) unsigned default NULL,
  adres varchar(255) default NULL,
  mailuser varchar(50) default NULL,
  telefon varchar(50) default NULL,
  PRIMARY KEY  (idord),
  KEY shopid (shopid),
  KEY userid (userid)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_search;
CREATE TABLE {pref}_shop_search (
  seaid int(11) unsigned NOT NULL auto_increment,
  seaword varchar(255) NOT NULL default '',
  seaip varchar(255) NOT NULL default '',
  seatime int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (seaid),
  KEY seaip (seaip),
  KEY seatime (seatime)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_setting;
CREATE TABLE {pref}_shop_setting (
  shoplines int(11) unsigned NOT NULL default '0',
  shopstolb int(11) unsigned NOT NULL default '0',
  shopkolvo int(11) unsigned NOT NULL default '0',
  shopsearch enum('yes','no') NOT NULL default 'yes',
  whocom enum('user','all') NOT NULL default 'all',
  commset enum('yes','no') NOT NULL default 'yes',
  yandexkoshel varchar(20) default NULL,
  yandexstatus int(11) default '1',
  paypalstatus int(11) default '1',
  webmoneystatus int(11) default '1',
  webmoneynum varchar(20) default NULL,
  paypalemail varchar(25) default NULL,
  whopay enum('all','user') default 'user',
  whatpay enum('yes','no') default 'no',
  naim text,
  bank text,
  inn varchar(12) default NULL,
  kpp varchar(12) default NULL,
  shet varchar(25) default NULL,
  korshet varchar(25) default NULL,
  bik varchar(12) default NULL,
  adresfirma text,
  director varchar(50) default NULL,
  glavbuh varchar(50) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_status;
CREATE TABLE {pref}_shop_status (
  idstatus int(11) unsigned NOT NULL auto_increment,
  namestat varchar(50) NOT NULL default '',
  PRIMARY KEY  (idstatus)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_mfact;
CREATE TABLE {pref}_shop_mfact (
  mfactid int(11) unsigned NOT NULL auto_increment,
  namemfact varchar(25) default NULL,
  PRIMARY KEY  (mfactid)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

DROP TABLE IF EXISTS {pref}_shop_val;
CREATE TABLE {pref}_shop_val (
  idval int(11) unsigned NOT NULL auto_increment,
  nameval varchar(25) NOT NULL default '',
  kurs float(9,2) default NULL,
  PRIMARY KEY  (idval)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

INSERT INTO {pref}_shop_setting (shoplines, shopstolb, shopkolvo, shopsearch, whocom, commset, yandexkoshel, yandexstatus, paypalstatus, webmoneystatus, webmoneynum, paypalemail, whopay, whatpay, naim, bank, inn, kpp, shet, korshet, bik, adresfirma, director, glavbuh) VALUES 
  (5, 2, 10, 'yes', 'user', 'yes', '41001120391992', 0, 0, 0, 'R13549879', 'info@mail.ru', 'all', 'yes', '"  "', '"  "', '262258985698', '265894789', '123654789654123658', '879461634646843213', '1235879', '. , .  6', ' ..', ' ..');

INSERT INTO {pref}_shop_dost (iddost, namedost) VALUES 
  (1, ''),
  (2, '');
  
  INSERT INTO {pref}_shop_oplata (idopl, nameopl) VALUES 
  (1, ' '),
  (2, ' ');
  
  INSERT INTO {pref}_shop_status (idstatus, namestat) VALUES 
  (1, ' '),
  (2, ' '),
  (3, ''),
  (4, ''),
  (5, '');
  
  INSERT INTO {pref}_shop_val (idval, nameval, kurs) VALUES 
  (1, '', 1),
  (2, ' ', 30),
  (3, '', 42),
  (7, '', 8);